# $Date: 1995/08/18 09:33:43 $ $Author: kg $ $Revision: 1.1 $ #

#++
printInfo -- print information about constructor

printInfo(AC)

AC - axiom constructor

printInfo prints some information about AC onto the screen.
++#

AxiomConstructor::printInfo:= proc(AC)
    local PRETTY_PRINT, p;
begin
    PRETTY_PRINT:= FALSE;
    p:= fun(print(Unquoted, args()));
    p("-- Axiom Constructor:");
    p(extop(AC,1));
    p("");
    if extop(AC,5) = 0 then
	p("-- No Parameters.");
    else
	p("-- Formal Parameters:");
	p(op(extop(AC,2), 1..extop(AC,5)));
    end_if;
end_proc:

# end of file #
